develooper Front page | perl.perl5.porters | Postings from April 2008

Re: Closing tickets in RT

Thread Previous | Thread Next
From:
H.Merijn Brand
Date:
April 29, 2008 13:49
Subject:
Re: Closing tickets in RT
Message ID:
20080429174935.0cb5763b@pc09.procura.nl
On Sat, 26 Apr 2008 13:30:58 -0500, "Steve Peters"
<steve@fisharerojo.org> wrote:

> On Sat, Apr 26, 2008 at 10:58 AM, Bram <p5p@perl.wizbit.be> wrote:
> > Hello,
> >
> >  I just took a look at some of the open tickets on rt.perl.org.
> >
> >  The following tickets can be marked as resolved:
> >
> >  #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> >  #52452: map isn't context aware in some cases: not a bug
> >  #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> >  #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> > when the utf8 flag is turned on: Patch applied (#33580)
> >  #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> >  #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> >  #51636: segmentation fault with array ties: Patch applied (#33495)
> >  #51394: String processing error (concatonation+regexp): not a bug (message
> > answered via RT - still waiting for it to show up on p5p)
> >
> 
> I've marked all of these tickets as resolved.
> 
> >
> >  #52368: Issues installing Perl 5.10
> >
> >  The problem is resolved (missing libm.a package) but perhaps Configure can
> > test if it is installed or not?
> >
> 
> I think it would be a good idea to ensure that libm is installed.  My
> guess is that adding it to the AIX hints file would help to head off
> these repeated build problems.

Would this do?
--8<---
--- hints/aix.sh        2007-06-22 16:56:42 +0200
+++ hints/aix.sh.new    2008-04-29 17:47:47 +0200
@@ -80,6 +80,12 @@ EOF
        ;;
     esac

+ s=`lslpp -lc bos.adt.libm >/dev/null`
+if [ $? != 0 ]; then
+    echo "You cannot build perl without the bos.adt.libm package installed" >&4
+    exit
+    fi
+
 # uname -m output is too specific and not appropriate here
 case "$archname" in
     '') archname="$osname" ;;
-->8---

-- 
H.Merijn Brand         Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x  on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin.       http://qa.perl.org
http://mirrors.develooper.com/hpux/            http://www.test-smoke.org
                        http://www.goldmark.org/jeff/stupid-disclaimers/

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About